/********************************************************************
	file base:	MClassInfo
	file ext:	cs
	author:		mcvrlab
	
	purpose:	 分类信息实体类
*********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MODEL
{
    /// <summary>
    /// 分类实体类
    /// </summary>
    public class MClassInfo
    {
        private int _ID;

        public int ID
        {
            get { return _ID; }
            set { _ID = value; }
        }
        private string _ClassName;

        public string ClassName
        {
            get { return _ClassName; }
            set { _ClassName = value; }
        }
        private int _ParentId;

        public int ParentId
        {
            get { return _ParentId; }
            set { _ParentId = value; }
        }
        private int _Depth;

        public int Depth
        {
            get { return _Depth; }
            set { _Depth = value; }
        }
        private int _RootId;

        public int RootId
        {
            get { return _RootId; }
            set { _RootId = value; }
        }
        private int _OrderId;

        public int OrderId
        {
            get { return _OrderId; }
            set { _OrderId = value; }
        }
        private string _Readme;

        public string Readme
        {
            get { return _Readme; }
            set { _Readme = value; }
        }
        private int _Child;

        public int Child
        {
            get { return _Child; }
            set { _Child = value; }
        }
        private string _Intro;

        public string Intro
        {
            get { return _Intro; }
            set { _Intro = value; }
        }
    }
}
